<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~create_flowcells.js" 
	styles="path.css,~../css/reggie-2.css,~../css/plate.css">
<style>
.nondefault
{
	background: #FFF066;
}
.nondefault:after
{
	content: '›';
}
.nondefault:before
{
	content: '‹';
}


#numSelected
{
	font-style: italic;
	margin-top: 0.25em;
	margin-left: 1em;
}

.plate .header
{
	height: 2em;
}

.plate .header th.col-0, .plate .header th.col-1
{
	border-bottom: 1px solid #A0A0A0;
}

.well
{
	height: 2em;
	max-height: 2em;
	min-height: 2em;
	width: 10em;
	max-width: 10em;
	min-width: 10em;
	font-size: 100%;
	text-align: center;
	vertical-align: middle;
}

.plate tbody .lane
{
	border-right: 1px solid #A0A0A0;
	width: 3em;
}

.well.col-1
{
	border-left-style: solid;
}

.hide-fc-1 .col-1
{
	display: none;
}

#select-pool-all
{
	max-height: 20em;
	overflow: auto;
}

#select-pool .menuitem
{
	padding-left: 16px;
}

#select-pool div.current
{
	font-weight: bold;
	background-image: url('../images/selected.gif');
	background-position: 2px 50%;
	background-repeat: no-repeat;
}

#select-pool div.default:after
{
	content: ' (default)';
}

#select-pool .menuitem:hover
{
	padding-left: 14px;
	background-position: 0px 50%;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Create flow cells" 
		/></p:path>

	<div class="content">
	
	<form name="reggie" id="wizard" class="wizard">
	<div id="select-pool" class="menu vertical bg-filled-100" style="width: 15em; z-index: 2; display: none;">
		<div id="select-pool-all"></div>
	</div>
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select pools</div>
		<div class="step-content">
			<table class="step-form">
			<tr>
				<td class="prompt">Flow cell type</td>
				<td class="input">
					<select name="preset" id="preset">
						<option value="NextSeq" selected>NextSeq
						<option value="">Custom
					</select>
				</td>
				<td class="status" id="preset.status"></td>
				<td class="help">
					<span id="preset.message" class="message"></span>
					The selected preset affects number of lanes per flow cell.
				</td>
			</tr>
			<tr>
				<td class="prompt">Lanes/flow cell</td>
				<td class="input" id="lanes">
					<label><input type="radio" name="num_lanes" id="num_lanes_2" value="2">2</label>
					<label><input type="radio" name="num_lanes" id="num_lanes_4" value="4" checked>4</label>
					<label><input type="radio" name="num_lanes" id="num_lanes_8" value="8">8</label>
				</td>
				<td class="status" id="lanes.status"></td>
				<td class="help">
					<span id="lanes.message" class="message"></span>
					Select the number of lanes on each flow cell.
				</td>
			</tr>
			<tr>
				<td class="prompt">Number of flow cells</td>
				<td class="input">
					<label><input type="radio" name="num_flowcells" id="num_flowcells_1" value="1" checked>1</label>
					<label><input type="radio" name="num_flowcells" id="num_flowcells_2" value="2">2</label>
				</td>
				<td class="status" id="numFlowCells.status"></td>
				<td class="help">
					<span id="numFlowCells.message" class="message"></span>
					Select if you want to create 1 or 2 flow cells.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Pools</td>
				<td class="input">
					<select name="pools" id="pools" size="6" multiple></select>
					<div id="numSelected"></div>
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectPools" />
					</base:buttongroup>
				</td>
				<td class="status" id="pools.status"></td>
				<td class="help">
					<span id="pools.message" class="message"></span>
					Select the pools that should be used in the flow cells. The list contain pools that has
					not yet been used (determined by comparing remaining and original quantity).
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Flow cell information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Sequencing cycles</td>
				<td class="input">
					<table>
					<tr>
						<td colspan="3">Read 1</td>
						<td colspan="3">Index</td>
						<td colspan="3">Read 2</td>
					</tr>
					<tr>
						<td>
							<input type="text" class="required" name="read1" id="read1" 
								style="width: 4em;" maxlength="4">
						</td>
						<td class="status" id="read1.status"></td>
						<td style="width: 2em;"></td>
						<td>
							<input type="text" class="required" name="indexRead" id="indexRead"
								style="width: 4em;" maxlength="4">
						</td>
						<td class="status" id="indexRead.status"></td>
						<td style="width: 2em;"></td>
						<td>
							<input type="text" class="required" name="read2" id="read2"
								style="width: 4em;" maxlength="4">
						</td>
						<td class="status" id="read2.status"></td>
						<td style="width: 2em;"></td>
					</tr>
					<tr>
						<td colspan="3" class="help"><span id="read1.message" class="message"></span></td>
						<td colspan="3" class="help"><span id="indexRead.message" class="message"></span></td>
						<td colspan="3" class="help"><span id="read2.message" class="message"></span></td>
					</tr>
					</table>
				
				</td>
				<td class="status"></td>
				<td class="help">
					Planned number of sequencing cycles. The actual numbers used may be changed in the
					registration wizard.
				</td>
			</tr>
			<tr>
				<td class="prompt">Volume to use from pool</td>
				<td class="input">
					<select name="volumeToUseFromPool" id="volumeToUseFromPool" class="required" style="width: 4em;">
						<option value="10">10
						<option value="20">20
					</select>
					µl
				</td>
				<td class="status" id="volumeToUseFromPool.status"></td>
				<td class="help">
					<span id="volumeToUseFromPool.message" class="message"></span>
					Select the amount to use from each pool. This depends on the molarity
					1nM = 20µl, 2nM = 10µl.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Flow cell layout</td>
				<td class="input">
					<table class="plate" id="plate" style="margin-bottom: 1em;">
					<thead>
					<tr class="header">
						<th class="lane">Lane</th>
						<%
						for (int fcNo = 0; fcNo < 2; fcNo++)
						{
							%>
							<th class="col-<%=fcNo%>" id="fc.<%=fcNo%>">FlowCell<%=fcNo%></th>
							<%
						}
						%>
					</tr>
					</thead>
					<tbody>
					<%
					for (int laneNo = 0; laneNo < 8; laneNo++)
					{
						%>
						<tr class="row-<%=laneNo%>" id="lane.<%=laneNo%>">
							<th class="lane"><%=laneNo+1%></th>
							<%
							for (int fcNo = 0; fcNo < 2; fcNo++)
							{
								%>
								<td class="well col-<%=fcNo%>" id="lane.<%=laneNo%>.<%=fcNo%>" 
									data-fc-no="<%=fcNo%>" data-lane-no="<%=laneNo%>"></td>
								<%
							}
							%>
						</tr>
						<%
					}
					%>
					</tbody>
					</table>
				
				</td>
				<td class="status" id="flowCells.status"></td>
				<td class="help">
					<span id="flowCells.message" class="message"></span>
					Assign a pool to each flow cell lane. Click on each lane to select a different pool.
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Comments</td>
				<td class="input"></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the flow cells.
				</td>
			</tr>
			<tbody id="flowcell-comments">
				<%
				for (int fcNo = 0; fcNo < 2; fcNo++)
				{
					%>
					<tr class="align-top" id="comments.<%=fcNo%>">
					<td class="subprompt" id="comments.<%=fcNo%>.name">FlowCell<%=fcNo%></td>
					<td class="input">
						<textarea rows="3" name="comments.<%=fcNo%>"></textarea>
					</td>
					<td class="status"></td>
					<td class="help"></td>
					</tr>
					<%
				}
				%>
			</tbody>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>