<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="java.util.Calendar"
	import="java.util.Locale"
	import="java.text.SimpleDateFormat"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~export-inca.js,~../reggie-2.js" 
	styles="path.css,~../css/reggie-2.css,~export.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="INCA export" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. Select month -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select month or year</div>
		<div class="step-content">
			<table class="step-form">
			<tr>
				<td class="prompt">Month/Year</td>
				<td class="input">
					<select name="time">
					<option class="fullyear" value="1" selected>all</option>
					<%
					Calendar month = Calendar.getInstance(Locale.ENGLISH);
					DateFormatter monthly = new DateFormatter(new SimpleDateFormat("yyyy MMMM", Locale.ENGLISH));
					DateFormatter yearly = new DateFormatter(new SimpleDateFormat("yyyy", Locale.ENGLISH));
					int index = 0;
					while (month.get(Calendar.YEAR) > 2009)
					{
						%>
						<option value="<%=month.getTimeInMillis()%>"><%=monthly.format(month.getTime())%>
						<%
						if (month.get(Calendar.MONTH) == 0)
						{
							%>
							<option class="fullyear" value="-<%=month.getTimeInMillis()%>"><%=yearly.format(month.getTime()) %> (all)
							<%
						}
						index++;
						month.add(Calendar.MONTH, -1);
					}
					%>
					</select>
				</td>
				<td class="help"><span id="time.message" class="message"></span></td>
			</tr>
			</table>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gopreview" title="Preview" image="<%=home+"/images/export.png"%>" /></td>
		<td><base:button id="goexport" title="Download" image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
		<div id="previewWrapper" style="display: none;">
		<div>
			<span id="previewTitle">Preview</span>
			<span id="previewWarning"></span>
		</div>
		<div id="previewList"></div>
		</div>
	</div>	
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>