<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	DateFormatter dateFormat = new DateFormatter("yyyy-MM-dd");
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~import-inca.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
#not-found
{
	margin: 0 1em 0 4em; 
	padding: 0.5em 1em; 
	font-family: monospace,Courier New;
	max-height: 25em;
	overflow: auto;
}
	table.incafileproptable
	{
		width: 50%;
		border: 1px solid #000000;
		margin-bottom: 1em;
	}
	
	table.incafileproptable > tbody > tr
	{
		vertical-align: middle;
		height: 2.5em;
		max-height: 2.5em;
		border-bottom: 1px solid #000000;
		border-top: 1px solid #000000;
	}

	table.incafileproptable > tbody > tr > th
	{
		text-align: left;
		font-size: 1em;
		background-color: #F0F0F0;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}

	table.incafileproptable > tbody > tr > th.subprompt
	{
		text-align: right;
		font-weight: normal;
	}

	
	table.incafileproptable > tbody > tr > td
	{
		text-align: left;
		font-size: 1em;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}
	
	td.propertycolumn
	{
		width: 30em;
	}
	td.valuecolumn
	{
		width: 6em;
	}
	td.statuscolumn
	{
		width: 4em;
	}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Update INCA data annotations" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select INCA file to import</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr>
				<td class="prompt">INCA export date</td>
				<td class="input">
					<input type="text" name="exportDate" id="exportDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="stainingProtocol"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="exportDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="exportDate"
							data-date-format="yyyyMMdd"
							data-title="INCA export date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="exportDate.status"></td>
				<td class="help">
					<span id="exportDate.message" class="message" style="display: none;"></span>
					(YYYYMMDD or MMDD) The INCA export date annotation for cases
					found in the selected file will be updated to this value.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">INCA file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input type="file" name="importfile" id="importfile" class="required" style="width: 95%;" accept=".csv,.tsv">
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="importfile.status"></td>
				<td class="help"><span id="importfile.message" class="message"></span>
					Select INCA file to be used for INCA import. The file should be a text file in tab-separated format, where the first line contains column names.
				</td>
			</tr>
			</table>
		</div>
	</div>

	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">INCA file check</div>
		<div class="step-content">

		<div id="incafilenames"></div> 
		<br>
			<div id="fileproperties">
&nbsp;
<img src="../images/ok.png" style="padding-right: 0.5em;" />= ok
<img src="../images/warning.png" style="padding-left: 0.5em; padding-right: 0.5em;" />= import may still be possible
<img src="../images/error.png" style="padding-left: 0.5em; padding-right: 0.5em;" />= import prohibited
<br>
<br>
<b>&nbsp;INCA file properties - Basic check</b><br>
				<div id="incaFilePropBasicCheckTable"></div>
<br>
<b>&nbsp;INCA file properties - Internal data check</b><br>
				<div id="incaFilePropInternalDataCheckTable"></div>
<br>
<b>&nbsp;INCA file properties - Database consistency check</b>&nbsp;(only lines with personal no. processed)<br>
				<div id="incaFilePropDatabaseConsistencyCheckTable"></div>
<br>
<b>&nbsp;INCA file properties - Database consistency check II</b><br>
				<div id="incaFilePropDatabaseConsistencyCheck2Table"></div>
			</div>
			<div id="filepropertymessage"></div>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<div id="not-found" style="display: none;" class="bg-filled-100 fullborder"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="simplecheck" title="Simple file check" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goimport" title="Import" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="downloadreportfile" title="Download report file" image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>