<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Arrays"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	String[] rna = request.getParameterValues("rna");
	if (request.getParameter("restart") != null) rna = null;
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rnaqc_aliquot.js" 
	styles="path.css,~../css/reggie-2.css,~../css/rnaqc_aliquot.css"
	>
	
<style>

#protocol-header
{
	display: none;
}

#rnaQcTable
{
	border-width: 0;
	font-size: 100%;
}

#rnaQcTable td:first-child, #rnaQcTable th:first-child
{
	border-left-width: 0;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA quality control - create aliquots" 
		/></p:path>

	<div class="content">

	<div id="page-data" class="datacontainer"
		data-rna-id="[<%=rna == null ? "" : Values.getString(Arrays.asList(rna), ",", true) %>]"
		data-home-url="<%=home%>"
	></div>

	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. RNA selection -->
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select RNA</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">RNA extracts</td>
				<td class="input" rowspan="2">
					<select name="rna" id="rna" class="yellow-label-support" multiple size="15"></select>
					
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button id="btnSelectRna" title="Select manually&hellip;" />
					</base:buttongroup>
				</td>
				<td class="status" id="rna.status"></td>
				<td class="help">
					<span id="rna.message" class="message"></span>
					The list contain RNA extracts that has not yet been selected for
					quality control (determined by absence of a RNAQC child extract).
					Use the <b>Select manually</b> button for free selection.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step auto-hide" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Select RNAQC bioplate and protocol</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Use existing bioplate</td>
				<td class="input">
					<select name="bioPlates" id="bioPlates"></select>
				</td>
				<td class="status" id="bioPlates.status"></td>
				<td class="help">
					<span id="bioPlates.message" class="message"></span>
					The list contain RNAQC bioplates without quality score data (determined by absence of 
					QCRunDate annotation) with enough free wells to place the selected RNA extracts.
					Select the <b>create new</b> option to create a new plate.
				</td>
			</tr>
			<tbody id="createNewBioPlateSection" style="display: none;">
				<tr>
					<td class="prompt">Create new bioplate</td>
					<td class="input">
						<label><input type="radio" name="bioPlateType" value="CALIPER_RNAQC" id="CALIPER_RNAQC" checked>Caliper</label>
						<label><input type="radio" name="bioPlateType" value="BA_RNAQC" id="BA_RNAQC">Bioanalyzer</label>
						
					</td>
					<td class="status" id="bioPlateType.status"></td>
					<td class="help">
						<span id="bioPlateType.message" class="message"></span>
						Select the type of bioplate to create
					</td>
				</tr>
				<tr>
					<td class="subprompt">Name</td>
					<td class="input">
						<input type="text" class="text required" name="bioPlateName" id="bioPlateName">
					</td>
					<td class="status" id="bioPlateName.status"></td>
					<td class="help">
						<span id="bioPlateName.message" class="message"></span>
						<i>CaliperPlateNNNN</i> or <i>BAPlateNNNN</i>. Using a different name 
						pattern may cause other wizards to fail.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Barcode</td>
					<td class="input">
						<input type="text" class="text" name="bioPlateBarcode" id="bioPlateBarcode">
					</td>
					<td class="status" id="bioPlateBarcode.status"></td>
					<td class="help">
						<span id="bioPlateBarcode.message" class="message"></span>
						The barcode is optional.
					</td>
				</tr>
			</tbody>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="protocols" id="protocols"></select>
				</td>
				<td class="status" id="protocols.status"></td>
				<td class="help">
					<span id="protocols.message" class="message"></span>
					Select the protocol which is used in the quality control.
				</td>
			</tr>
			</table>
		</div>
	</div>
	

	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Enter RNA QC aliquot information</div>
		<div class="step-content">
		

			<div style="background: #E8E8E8; padding: 4px;">
				Use the table below to register positions on the <i>Quality control
				plate</i> and if the <i>HiSense</i> option should be used or not for the
				specific sample. The default setting is to use the HiSense option if the
				concentration is below the given limit.
			</div>
			
			<div id="full-protocol" class="topborder">
				<div id="protocol-header">
				<h1>Lab Protocol for RNAQC aliquots <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>
			
				</div>
			
				<div id="rnaQc"></div>
			</div>
		</div>
	</div>
		
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="goprint" title="Print&hellip;" image="<%=home+"/images/print.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>